# $Revision: 1.12 $, $Date: 2012/05/27 13:32:42 $
#
# Conditional build:
%bcond_without	mmx		# without MMX and MMX2
%bcond_without	sse		# without SSE
%bcond_without	sse2		# without SSE2
%bcond_without	altivec		# without altivec
%bcond_without	static_libs	# don't build static library
#
%ifnarch i586 i686 pentium3 pentium4 athlon %{x8664}
%undefine	with_mmx
%endif
%ifnarch i686 pentium3 pentium4 athlon %{x8664}
%undefine	with_sse
%endif
%ifnarch pentium4 %{x8664}
%undefine	with_sse2
%endif
%ifnarch ppc
%undefine	with_altivec
%endif

Summary:	Data types library (list, hash, etc.)
Summary(pl.UTF-8):	Biblioteka struktur danych (lista, hasz, itp.)
Name:		eina
Version:	1.2.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	caf1c617ce3ee3031bbff5106bcf0a0e
URL:		http://trac.enlightenment.org/e/wiki/Eina
BuildRequires:	pkgconfig >= 1:0.22
# ememoa-devel >= 0.0.26
# escape (for ps3 platform)
# evil (for win32 platform)
# exotic (for ??? platforms)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Data types library (list, hash, etc.)

%description -l pl.UTF-8
Bilblioteka struktur danych (lista, hasz, itp.).

%package devel
Summary:	Eina header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Eina
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Eina.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Eina.

%package static
Summary:	Static Eina library
Summary(pl.UTF-8):	Statyczna biblioteka Eina
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Eina library.

%description static -l pl.UTF-8
Statyczna biblioteka Eina.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--enable-cpu-mmx%{!?with_mmx:=no} \
	--enable-cpu-sse%{!?with_sse:=no} \
	--enable-cpu-sse2%{!?with_sse2:=no} \
	--enable-cpu-altivec%{!?with_altivec:=no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libeina.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libeina.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libeina.so
%{_libdir}/libeina.la
%{_includedir}/eina-1
%{_pkgconfigdir}/eina.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libeina.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eina.spec,v $
Revision 1.12  2012/05/27 13:32:42  qboosh
- updated to 1.2.0

Revision 1.11  2011/12/09 18:07:04  qboosh
- updated to 1.1.0
- added sse2 bcond

Revision 1.10  2011/05/31 19:22:07  qboosh
- updated to 1.0.1

Revision 1.9  2011/01/31 19:18:17  qboosh
- typo

Revision 1.8  2011/01/31 19:16:31  qboosh
- LGPL v2.1+
- package ChangeLog

Revision 1.7  2011/01/31 13:26:09  lisu
- 1.0.0 is now stable

Revision 1.6  2010/12/04 15:38:54  qboosh
- updated to 1.0.0.beta3

Revision 1.5  2010/11/17 07:26:10  qboosh
- typo

Revision 1.4  2010/11/16 16:03:06  witekfl
- 1.0.0.beta2

Revision 1.3  2010/09/06 06:17:22  qboosh
- updated to 1.0.0-alpha

Revision 1.2  2010/08/06 13:38:59  witekfl
- use LATEST

Revision 1.1  2010/08/04 20:54:04  witekfl
- new
